Bug 1392957 - [RFE] Report status of hosted engine deployment in getVdsCapabilities call
Summary: [RFE] Report status of hosted engine deployment in getVdsCapabilities call
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: RFEs
Version: 4.18.15.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.0-alpha
: 4.19.2
Assignee: Phillip Bailey
QA Contact: Artyom
URL:
Whiteboard: PM-01
Depends On:
Blocks: 1349460 1369827
TreeView+ depends on / blocked
 
Reported: 2016-11-08 14:33 UTC by Phillip Bailey
Modified: 2017-02-01 14:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:34:58 UTC
oVirt Team: SLA
rule-engine: ovirt-4.1+
mavital: testing_plan_complete-
mgoldboi: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 66606 0 master ABANDONED stats: Report running status of HE components 2016-12-02 13:47:46 UTC
oVirt gerrit 67704 0 master MERGED Add ovirt-hosted-engine-ha package to key packages 2016-12-03 20:19:56 UTC
oVirt gerrit 67705 0 master ABANDONED stats: Report status of specified running services 2017-03-28 12:00:08 UTC
oVirt gerrit 67706 0 master MERGED caps: Report hosted engine deployment status 2016-12-06 15:01:17 UTC
oVirt gerrit 67721 0 master MERGED Add method to check whether HE is deployed 2016-12-02 16:39:36 UTC

Description Phillip Bailey 2016-11-08 14:33:00 UTC
Description of problem: 

Implement reporting of the status of hosted engine deployment in the getVdsCapabilities call. This information is needed in order to properly display hosted engine deployment/undeployment options to users in the webadmin UI.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Nir Soffer 2016-12-02 18:31:42 UTC
This is not a valid bug. The bug must explain why this feature is needed and how
it will be used.

Comment 3 Martin Sivák 2016-12-21 11:24:58 UTC
This is part of a bigger feature and can be tested using vdsClient or the engine feature https://bugzilla.redhat.com/show_bug.cgi?id=1369827

Comment 4 Artyom 2016-12-22 13:36:37 UTC
Verified on the vdsm-4.18.999-1133.gitdfa3255.el7.centos.x86_64

Host without HE:
# vdsClient -s 0 getVdsCaps | grep hosted
        hostedEngineDeployed = False

Host with HE:
# vdsClient -s 0 getVdsCaps | grep hosted
                 'before_vm_start': {'50_hostedengine': {'md5': '9877e5506d6cedad086484db1ff53979'}}}
        hostedEngineDeployed = True
                     'ovirt-hosted-engine-ha': {'release': '0.0.master.20161220154815.20161220154812.git387fa53.el7.centos'


Note You need to log in before you can comment on or make changes to this bug.